package com.mortals.xhx.base.system.user.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;

import java.util.List;

/**
*
* Description:User
* date: 2021-9-26 16:11:48
*/
@Data
public class UserEntityExt extends BaseEntityLong {
   /**
    * 唯一标识
    */
   @JSONField(serialize = false)
   private String token;

   /**
    * 登录时间
    */
   private Long loginTime;

   /**
    * 过期时间
    */
   private Long expireTime;

   private String siteName;
   private List<Long> roleIds;
   private String siteCode;

   private String oldPassword;
   private String newPassword;
   private String siteIds;
}